<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZOrderF9EditViewBase from './ibizorder-f9-edit-view-base.vue';

import view_form from '@widgets/ibizorder/uipart-0010-form/uipart-0010-form.vue';
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZOrderF9EditView extends IBIZOrderF9EditViewBase {

}
</script>